Last Comment Bug 839925 - Reorganize layout of installed jsmime
: Reorganize layout of installed jsmime
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: MIME (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Thunderbird 21.0
Assigned To: Joshua Cranmer [:jcranmer]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-10 14:32 PST by Joshua Cranmer [:jcranmer]
Modified: 2013-02-18 09:19 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Reorganize directory (3.24 KB, patch)
2013-02-10 14:32 PST, Joshua Cranmer [:jcranmer]
standard8: review+
Details | Diff | Splinter Review

Description Joshua Cranmer [:jcranmer] 2013-02-10 14:32:44 PST
Created attachment 712294 [details] [diff] [review]
Reorganize directory

I realized when working on later patches of jsmime that it is a lot easier for code management purposes to spread out the code into several files. Following the lead of sync's install directories, I want to move the code in mimeParserCore.js from modules/ to modules/mime; mimeParser.jsm would stay in the same location.

Since we haven't released a version with the new code yet, this shouldn't impact any addons.
Comment 1 Mark Banner (:standard8) 2013-02-13 12:04:12 PST
Comment on attachment 712294 [details] [diff] [review]
Reorganize directory

Did you push this to try server? I think that you may need to add bin/modules/mime/* to the package-manifest.in (for both TB & SM).
Comment 2 Joshua Cranmer [:jcranmer] 2013-02-13 15:45:58 PST
I pushed it to try (with some other stuff) here: https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=ab1b0c474bbb
Comment 3 Joshua Cranmer [:jcranmer] 2013-02-18 09:19:05 PST
https://hg.mozilla.org/comm-central/rev/478a56a58bff

Note You need to log in before you can comment on or make changes to this bug.